const yeoman = require('yeoman-generator')
const chalk = require('chalk')
const yosay = require('yosay')

module.exports = yeoman.Base.extend({
  prompting() {
    this.log(yosay(
      'Welcome to the neat ' + chalk.red('generator-react-standard') + ' generator!'
    ))

    const prompts = [
      {
        type: 'input',
        name: 'name',
        message: 'Your project name?',
        default: this.appname
      },
      {
        type: 'input',
        name: 'description',
        message: 'Your project description?',
        default: this.appname
      }
    ]

    return this.prompt(prompts).then(props => {
      this.props = props
    })
  },

  writing() {
    const { name, description } = this.props

    this.fs.copyTpl(
      this.templatePath('package.json'),
      this.destinationPath('package.json'),
      { name, description }
    )

    this.fs.copy(
      this.templatePath('**/!(package.json)'),
      this.destinationRoot(),
      { globOptions: { dot: true } }
    )
  },

  install() {
    // this.installDependencies()
    console.log('fine');
  }
})
